Skip to main content
GET
/
sessions
/
{id}
/
status
Get session status
curl --request GET \
  --url https://api.pingnetwork.io/customer/v2/sessions/{id}/status \
  --header 'Authorization: <api-key>'
{
  "client_id": "<string>",
  "status": "created",
  "duration": 123,
  "uploaded_bytes": 123,
  "downloaded_bytes": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.pingnetwork.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Session ID

Response

Session status retrieved successfully

client_id
string
required

Client identifier

status
enum<string>
required
Available options:
created,
connected,
disconnected
duration
integer

Session duration in seconds

uploaded_bytes
integer

Total bytes uploaded

downloaded_bytes
integer

Total bytes downloaded